aboutsummaryrefslogtreecommitdiffstats
path: root/test/ical-007.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/ical-007.sh')
-rwxr-xr-xtest/ical-007.sh19
1 files changed, 12 insertions, 7 deletions
diff --git a/test/ical-007.sh b/test/ical-007.sh
index 0a5ad2a..82405c9 100755
--- a/test/ical-007.sh
+++ b/test/ical-007.sh
@@ -3,21 +3,26 @@
. "${TEST_INIT:-./test-init.sh}"
if [ "$1" = 'actual' ]; then
- mkdir .calcurse || exit 1
- cp "$DATA_DIR/conf" .calcurse || exit 1
- TZ="America/New_York" "$CALCURSE" -D "$PWD/.calcurse" \
+ tmpdir=$(mktemp -d)
+ cp "$DATA_DIR/conf" "$tmpdir" || exit 1
+ TZ="America/New_York" "$CALCURSE" -D "$tmpdir" \
-i "$DATA_DIR/ical-007.ical"
- "$CALCURSE" -D "$PWD/.calcurse" -s02/23/2015
- rm -rf .calcurse || exit 1
+ "$CALCURSE" -D "$tmpdir" -s02/23/2015
+ cat "$tmpdir/notes/"*
+ rm -rf "$tmpdir" || exit 1
elif [ "$1" = 'expected' ]; then
cat <<EOD
-Import process report: 0013 lines read
-2 apps / 0 events / 0 todos / 0 skipped
+Import process report: 0018 lines read
+3 apps / 0 events / 0 todos / 0 skipped
02/23/15:
+ - 05:00 -> 06:00
+ CET
- 06:00 -> 07:00
UTC
- 11:00 -> 12:00
Local time
+--
+Import: TZID=CET
EOD
else
./run-test "$0"